Skip to content

Get Billing Information



GET /api/v1/billing/detail/list

Overview

Query Request Parameters

Parameter Name Type Required Description
startDate string Billing start date Format: 20230731
Example: 20230731
Allow empty: False
endDate string Billing end date Format: 20230731
Example: 20230731
Allow empty: False

Parameter Supplementary Description

Return parameter description:

content Main Structure Description

Parameter Name Parameter Description
consumeTimeOfDay Billing consumption time
orgName Billing Center organization name Can be ignored
productName Product name Fixed as dataFlux
productDetail Product details
billingKey Billing category key
billingCycle Settlement cycle By day, by month, by year, single Day, Month, Year, Single
billingResult Amount payable
deductionAmount Deduction amount
oweAmount Arrears amount
originAmount Original price
serviceBillingAmount Service Charges Can be ignored
couponAmount Voucher deduction
storedCardAmount Stored value card deduction
cashAmount Cash deduction
cashCouldAmount Cloud marketplace deduction
commodityCategory Product type Subscription, Pay-as-you-go
consumePlatform Settlement method
customerIdentifier Cloud marketplace account
consumption Can be ignored
workspaceUuid Workspace uuid
workspaceName Workspace name
consumeTime Consumption time timestamp
billingResultDetails Can be ignored
count Usage amount

Request Example

curl 'https://openapi.truewatch.com/api/v1/billing/detail/list' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--compressed

Response

{
    "code": 200,
    "content": [
        {
            "consumeTimeOfDay": "2023-07-31",
            "orgName": "None",
            "productName": "None",
            "productDetail": "Session Replay",
            "billingCycle": "None",
            "billingResult": 0,
            "deductionAmount": "None",
            "oweAmount": "None",
            "originAmount": 0,
            "serviceBillingAmount": "None",
            "couponAmount": "None",
            "storedCardAmount": "None",
            "cashAmount": "None",
            "cashCouldAmount": "None",
            "commodityCategory": "None",
            "consumePlatform": "None",
            "customerIdentifier": "None",
            "consumption": "None",
            "workspaceUuid": "None",
            "workspaceName": "None",
            "consumeTime": "None",
            "tag6": "session_replay",
            "billingResultDetails": "None",
            "count": 0
        }
    ],
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-192EB1B1-ACBA-4942-A4F1-34A1A9F93C0C"
}